petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMRefineHierarchy

Refines a DM object, all levels at once

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMRefineHierarchy(DM dm,PetscInt nlevels,DM dmf[])

Collective on DM Many br

### Input Parameter

| dm | - the DM object Many br
| nlevels | - the number of levels of refinement Many br

### Output Parameter

dmf -the refined DM hierarchy Many br

Many br

### See Also

DMCoarsenHierarchy(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html